## vdr-plugin-vnsiserver 1.3.1

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = vnsiserver

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' vnsi.h | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
LIBDIR ?= $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)
ifeq ($(strip $(APIVERSION)),)
APIVERSION = $(shell grep 'define APIVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
NOCONFIG := 1
endif

# backwards compatibility version < 1.7.34
API1733 := $(shell if [ "$(APIVERSION)" \< "1.7.34" ]; then echo true; fi; )

ifdef API1733

VDRSRC = $(VDRDIR)
VDRSRC ?= ../../..
ifeq ($(strip $(LIBDIR)),)
LIBDIR = $(VDRSRC)/PLUGINS/lib
endif

ifndef NOCONFIG
CXXFLAGS = $(call PKGCFG,cflags)
CXXFLAGS += -fPIC
else
-include $(VDRSRC)/Make.global
-include $(VDRSRC)/Make.config
endif

export CXXFLAGS
else

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)
endif

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

ifdef API1733
INCLUDES += -I$(VDRSRC)/include
endif

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DVNSI_SERVER_VERSION='"$(VERSION)"'

ifeq ($(DEBUG),1)
DEFINES += -DDEBUG
endif

### The object files (add further files here):

OBJS = vnsi.o bitstream.o vnsiclient.o channelscancontrol.o config.o cxsocket.o parser.o parser_AAC.o \
       parser_AC3.o parser_DTS.o parser_h264.o parser_MPEGAudio.o parser_MPEGVideo.o \
       parser_Subtitle.o parser_Teletext.o streamer.o recplayer.o requestpacket.o responsepacket.o \
       vnsiserver.o hash.o recordingscache.o setup.o vnsiosd.o demuxer.o videobuffer.o \
       videoinput.o channelfilter.o status.o

### The main target:

ifdef API1733
all: install-lib
else
all: $(SOFILE)
endif
#

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

compile: $(SOFILE)

## vdr-plugin-vnsiserver 1.2.0

=== debian/changelog ===
vdr-plugin-vnsiserver (1:1.2.0-1) unstable; urgency=low

  * Initial release based on xbmc-pvr-addons
    13.0+git20140512+g91cc731+dfsg1-1 (Closes: #748288)
  * Use links control file instead of postinst/postrm
  * Import 4 upstream bug fix patches

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 02 Jan 2015 01:45:33 +0100

=== debian/control ===
Source: vdr-plugin-vnsiserver
Section: video
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9), pkg-config, vdr-dev (>= 1.7.17),
Standards-Version: 3.9.6
Homepage: https://github.com/FernetMenta/vdr-plugin-vnsiserver
Vcs-Git: git://git.debian.org/pkg-multimedia/vdr-plugin-vnsiserver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vdr-plugin-vnsiserver.git

Package: vdr-plugin-vnsiserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Suggests: xbmc (>= 2:12)
Description: VDR plugin to handle XBMC clients
 The vdr-plugin-vnsiserver is able to handle several XBMC clients
 connecting via the VNSI addon.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --parallel

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	dh_gencontrol

## vdr-plugin-vnsiserver 1.3.1

=== debian/changelog ===
vdr-plugin-vnsiserver (1:1.3.1-2) unstable; urgency=medium

  * Fixing FTBFS with GCC 6 (Closes: #811949)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Jan 2016 21:54:30 +0100

vdr-plugin-vnsiserver (1:1.3.1-1) unstable; urgency=medium

  * Fixed Vcs-Git to point to anonscm.debian.org
  * Added upstream patch to fix issue with RAM time shift

 -- Tobias Grimm <etobi@debian.org>  Sun, 01 Nov 2015 20:04:57 +0100

vdr-plugin-vnsiserver (1:1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Removed upstream bug fix patches
  * Added vdr-plugin-vnsiserver-dbg for debugging symbols
  * Added Tobias Grimm to uploaders
  * Added more details to debian/copyright
  * Updated upstream homepage in debian/copyright
  * Improved package description

 -- Tobias Grimm <etobi@debian.org>  Tue, 22 Sep 2015 01:10:34 +0200

=== debian/control ===
Source: vdr-plugin-vnsiserver
Section: video
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>, Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper (>= 9), pkg-config, vdr-dev (>= 2.2.0)
Standards-Version: 3.9.6
Homepage: https://github.com/FernetMenta/vdr-plugin-vnsiserver
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vdr-plugin-vnsiserver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vdr-plugin-vnsiserver.git

Package: vdr-plugin-vnsiserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Suggests: xbmc (>= 2:12)
Description: VDR plugin to provide PVR backend services for Kodi
 The vdr-plugin-vnsiserver provides PVR backend services for Kodi
 clients using the kodi-pvr-vdr-vnsi addon. Via VNSI
 (VDR-Network-Streaming-Interface) Kodi connects to this plugin and
 can access various VDR functions like timers, channels,
 live-TV-streaming and recordings.

Package: vdr-plugin-vnsiserver-dbg
Architecture: any
Section: debug
Priority: extra
Depends: vdr-plugin-vnsiserver (= ${binary:Version}), ${misc:Depends}
Description: VDR plugin to provide PVR backend services for Kodi
 The vdr-plugin-vnsiserver provides PVR backend services for Kodi
 clients using the kodi-pvr-vdr-vnsi addon. Via VNSI
 (VDR-Network-Streaming-Interface) Kodi connects to this plugin and
 can access various VDR functions like timers, channels,
 live-TV-streaming and recordings.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PLG_PACKAGE = $(filter-out %-dbg, $(shell dh_listpackages))
DBG_PACKAGE = $(filter %-dbg, $(shell dh_listpackages))

%:
	dh $@ --parallel --with vdrplugin

override_dh_strip:
	dh_strip --dbg-package=$(DBG_PACKAGE)

override_dh_auto_install:
	dh_auto_install --destdir=debian/$(PLG_PACKAGE)

## vdr-plugin-vnsiserver 1.5.1

=== debian/changelog ===
vdr-plugin-vnsiserver (1:1.5.1-1build1) artful; urgency=medium

  * No-change rebuild against vdr-abi-2.3.8-debian

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Aug 2017 06:44:50 +0000

vdr-plugin-vnsiserver (1:1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Standards-Version: 3.9.8
  * Dropped obsolete patches

 -- Tobias Grimm <etobi@debian.org>  Sat, 05 Nov 2016 00:25:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: vdr-plugin-vnsiserver
 Section: video
 Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>, Tobias Grimm <etobi@debian.org>
 Build-Depends: debhelper (>= 9), pkg-config, vdr-dev (>= 2.2.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/FernetMenta/vdr-plugin-vnsiserver
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vdr-plugin-vnsiserver.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vdr-plugin-vnsiserver.git

## vdr-plugin-vnsiserver 1.5.2

=== debian/changelog ===
vdr-plugin-vnsiserver (1:1.5.2-2) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.3.8

 -- Tobias Grimm <etobi@debian.org>  Sat, 26 Aug 2017 10:17:16 +0200

vdr-plugin-vnsiserver (1:1.5.2-1) unstable; urgency=medium

  * New upstream version + patches from upstream git up to SHA 2c42df3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Jun 2017 16:06:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: vdr-plugin-vnsiserver
 Section: video
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>, Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper (>= 9), pkg-config, vdr-dev (>= 2.2.0)
+Build-Depends: debhelper (>= 9), pkg-config, vdr-dev (>= 2.3.8)
 Standards-Version: 3.9.8
 Homepage: https://github.com/FernetMenta/vdr-plugin-vnsiserver
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vdr-plugin-vnsiserver.git

## vdr-plugin-vnsiserver 1.6.0

=== debian/changelog ===
vdr-plugin-vnsiserver (1:1.6.0-1) unstable; urgency=medium

  * New upstream version

 -- Tobias Grimm <etobi@debian.org>  Wed, 30 May 2018 22:52:13 +0200

vdr-plugin-vnsiserver (1:1.5.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Tobias Grimm ]
  * Build-depend on vdr-dev (>= 2.4.0)

 -- Tobias Grimm <etobi@debian.org>  Mon, 16 Apr 2018 10:35:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: vdr-plugin-vnsiserver
 Section: video
-Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>, Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper (>= 9), pkg-config, vdr-dev (>= 2.3.8)
+Build-Depends: debhelper (>= 9), pkg-config, vdr-dev (>= 2.4.0)
 Standards-Version: 3.9.8
 Homepage: https://github.com/FernetMenta/vdr-plugin-vnsiserver
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vdr-plugin-vnsiserver.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vdr-plugin-vnsiserver.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/vdr-plugin-vnsiserver.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/vdr-plugin-vnsiserver
 
 Package: vdr-plugin-vnsiserver
 Architecture: any
@@ -23,7 +23,6 @@
 Package: vdr-plugin-vnsiserver-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends: vdr-plugin-vnsiserver (= ${binary:Version}), ${misc:Depends}
 Description: VDR plugin to provide PVR backend services for Kodi
  The vdr-plugin-vnsiserver provides PVR backend services for Kodi

## vdr-plugin-vnsiserver 1.8.0

=== Makefile ===
--- 
+++ 
@@ -36,32 +36,9 @@
 NOCONFIG := 1
 endif
 
-# backwards compatibility version < 1.7.34
-API1733 := $(shell if [ "$(APIVERSION)" \< "1.7.34" ]; then echo true; fi; )
-
-ifdef API1733
-
-VDRSRC = $(VDRDIR)
-VDRSRC ?= ../../..
-ifeq ($(strip $(LIBDIR)),)
-LIBDIR = $(VDRSRC)/PLUGINS/lib
-endif
-
-ifndef NOCONFIG
-CXXFLAGS = $(call PKGCFG,cflags)
-CXXFLAGS += -fPIC
-else
--include $(VDRSRC)/Make.global
--include $(VDRSRC)/Make.config
-endif
-
-export CXXFLAGS
-else
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(PLGCFG)
-endif
 
 ### The name of the distribution archive:
 
@@ -79,6 +56,8 @@
 endif
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DVNSI_SERVER_VERSION='"$(VERSION)"'
+CXXFLAGS += -std=c++11
+export CXXFLAGS
 
 ifeq ($(DEBUG),1)
 DEFINES += -DDEBUG
@@ -87,10 +66,10 @@
 ### The object files (add further files here):
 
 OBJS = vnsi.o bitstream.o vnsiclient.o channelscancontrol.o config.o cxsocket.o parser.o parser_AAC.o \
-       parser_AC3.o parser_DTS.o parser_h264.o parser_MPEGAudio.o parser_MPEGVideo.o \
+       parser_AC3.o parser_DTS.o parser_h264.o parser_hevc.o parser_MPEGAudio.o parser_MPEGVideo.o \
        parser_Subtitle.o parser_Teletext.o streamer.o recplayer.o requestpacket.o responsepacket.o \
        vnsiserver.o hash.o recordingscache.o setup.o vnsiosd.o demuxer.o videobuffer.o \
-       videoinput.o channelfilter.o status.o
+       videoinput.o channelfilter.o status.o vnsitimer.o
 
 ### The main target:

=== debian/changelog ===
vdr-plugin-vnsiserver (1:1.8.0-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:02:07 +0100

vdr-plugin-vnsiserver (1:1.8.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 15:20:49 +0100

vdr-plugin-vnsiserver (1:1.8.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ Tobias Grimm ]
  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Jul 2019 11:05:44 +0200

vdr-plugin-vnsiserver (1:1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * Standards-Version: 4.3.0
  * Dropped vdr-plugin-vnsiserver-dbg - migration to automatically created debug
    symbol package
  * Use debhelper / compatibility level 10

 -- Tobias Grimm <etobi@debian.org>  Mon, 06 May 2019 05:41:24 +0200

=== debian/control ===
Source: vdr-plugin-vnsiserver
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>, Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper-compat (= 10), pkg-config, vdr-dev (>= 2.4.1)
Standards-Version: 4.4.1
Homepage: https://github.com/FernetMenta/vdr-plugin-vnsiserver
Vcs-Git: https://salsa.debian.org/multimedia-team/vdr-plugin-vnsiserver.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/vdr-plugin-vnsiserver

Package: vdr-plugin-vnsiserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Suggests: xbmc (>= 2:12)
Description: VDR plugin to provide PVR backend services for Kodi
 The vdr-plugin-vnsiserver provides PVR backend services for Kodi
 clients using the kodi-pvr-vdr-vnsi addon. Via VNSI
 (VDR-Network-Streaming-Interface) Kodi connects to this plugin and
 can access various VDR functions like timers, channels,
 live-TV-streaming and recordings.

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 DBG_PACKAGE = $(filter %-dbg, $(shell dh_listpackages))
 
 %:
-	dh $@ --parallel --with vdrplugin
+	dh $@ --with vdrplugin
 
 override_dh_strip:
-	dh_strip --dbg-package=$(DBG_PACKAGE)
+	dh_strip --dbgsym-migration='vdr-plugin-live-dbg (<< 1:1.8.0-1~)'
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/$(PLG_PACKAGE)

## vdr-plugin-vnsiserver 1.8.0+git20211205

=== debian/changelog ===
vdr-plugin-vnsiserver (1:1.8.0+git20211205-2) unstable; urgency=medium

  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 21:15:13 +0100

vdr-plugin-vnsiserver (1:1.8.0+git20211205-1) unstable; urgency=medium

  [ Balint Reczey ]
  * debian/control: Remove myself from Uploaders

  [ Tobias Grimm ]
  * Add script to get latest upstream VCS snapshot
  * New upstream version 1.8.0+git20211205
  * Update debhleper-compat to 13
  * Build-depend on vdr >= 2.4.7
  * Use PKG_CONFIG to support cross compiling (Closes: #933027)
  * Fix file references in debian/copyright

 -- Tobias Grimm <etobi@debian.org>  Sun, 05 Dec 2021 21:06:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Balint Reczey <balint@balintreczey.hu>, Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper-compat (= 10), pkg-config, vdr-dev (>= 2.4.1)
-Standards-Version: 4.4.1
+Uploaders: Tobias Grimm <etobi@debian.org>
+Build-Depends: debhelper-compat (= 13), pkg-config, vdr-dev (>= 2.6.0)
+Standards-Version: 4.6.0
 Homepage: https://github.com/FernetMenta/vdr-plugin-vnsiserver
 Vcs-Git: https://salsa.debian.org/multimedia-team/vdr-plugin-vnsiserver.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/vdr-plugin-vnsiserver

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+-include /usr/share/dpkg/buildtools.mk
+export PKG_CONFIG ?= pkg-config
 
 PLG_PACKAGE = $(filter-out %-dbg, $(shell dh_listpackages))
 DBG_PACKAGE = $(filter %-dbg, $(shell dh_listpackages))

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g,dversionmangle=s/.dfsg[0-9]*// \
https://github.com/FernetMenta/vdr-plugin-vnsiserver/tags .*/v(\d[\d\.]+)\.tar\.gz

## vdr-plugin-vnsiserver 1.8.3

=== Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
        parser_AC3.o parser_DTS.o parser_h264.o parser_hevc.o parser_MPEGAudio.o parser_MPEGVideo.o \
        parser_Subtitle.o parser_Teletext.o streamer.o recplayer.o requestpacket.o responsepacket.o \
        vnsiserver.o hash.o recordingscache.o setup.o vnsiosd.o demuxer.o videobuffer.o \
-       videoinput.o channelfilter.o status.o vnsitimer.o
+       videoinput.o channelfilter.o status.o vnsitimer.o vnsisocket.o StatusCommands.o
 
 ### The main target:

=== debian/changelog ===
vdr-plugin-vnsiserver (1:1.8.3-1) unstable; urgency=medium

  * fix debian/watch
  * New upstream version 1.8.3

 -- Christoph Martin <chrism@debian.org>  Wed, 26 Feb 2025 10:12:35 +0100

vdr-plugin-vnsiserver (1:1.8.0+git20211205-3) unstable; urgency=medium

  * update debian/watch
  * rebuild against vdr 2.6.9
  * add myself to uploaders
  * update standards-version to 4.7.0
  * update upstream metadata
  * change build-depends from obsolete pkg-config to pkgconf
  * update debian/watch version

 -- Christoph Martin <chrism@debian.org>  Thu, 20 Feb 2025 20:04:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper-compat (= 13), pkg-config, vdr-dev (>= 2.6.0)
-Standards-Version: 4.6.0
-Homepage: https://github.com/FernetMenta/vdr-plugin-vnsiserver
+Uploaders: Tobias Grimm <etobi@debian.org>,
+ Christoph Martin <chrism@debian.org>
+Build-Depends: debhelper-compat (= 13), pkgconf, vdr-dev (>= 2.6.0)
+Standards-Version: 4.7.0
+Homepage: https://github.com/vdr-projects/vdr-plugin-vnsiserver
 Vcs-Git: https://salsa.debian.org/multimedia-team/vdr-plugin-vnsiserver.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/vdr-plugin-vnsiserver

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,5 @@
 %:
 	dh $@ --with vdrplugin
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='vdr-plugin-live-dbg (<< 1:1.8.0-1~)'
-
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/$(PLG_PACKAGE)

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vdr-plugin-vnsiserver-$1\.tar\.gz/ \
  https://github.com/vdr-projects/vdr-plugin-vnsiserver/tags .*/v?(\d\S+)\.tar\.gz
